# :// Occlusion
### About the Rundown
Occlusion is a rundown that I designed to be a fun challenge for my team.
Not super difficult, but a fun (I hope), vanilla inspired rundown that can just be
a good time with friends. Expect tuning and adjustments to be made to levels
and some weapons as I continue to learn.

Occlusion will have in-depth lore, more information coming SoonTM.

### Current Levels
- A1: Fracture
- B1: Failsafe
- B2: Protean
- C1: Eternum
- C2: Suffocate
- C3: Codex
- D1: Onslaught
- D2: Maelstrom
- D3 Isolation
- D4: Confluence
- E1: Teratoma

### Future Levels
- E2: Axiom ERR:// Unknown signal detected, more time is needed to decrypt
- E3: Occlusion ERR:// M.O.D. SIGNALS CORRUPTING DATA

### Weapon Changes
Note: Some weapons will have a rundown number in their description, these are weapons I reverted to a particular rundown's version
- Assault Rifle: Damage increased to 2.9, ammo reduced to 270 maximum, fire rate slightly reduced
- Sawed-Off Shotgun: Now does 32 damage with all 8 pellets, and has reload of 1.5s
- Shotgun Sentry: Penetration increased to 2, maximum ammo increased to 55, RoF decreased to 1, and sentry now targets the body like auto sentry
- Spear: Now does 25 damage on a full charge but takes an extra 0.3 seconds (2 total) to charge.
- Knife: Charge time decreased from 0.5s to 0.35s
- Pistol, High Cal, Heavy AR: Each of these received or lost a very small number of bullets to reach a proper bullet-to-magazine ratio. It was bothering me


# Patch Notes
- 2.1.2 Actually applied the 2.1.2 changes
- 2.1.2 Changed E1 fog to rise slower, and not change with timer. Changed melee weapons and added pen to some sentries
- 2.1.1 Hotfix for E1 sleeper functionality
- 2.1.0 Added E1: Teratoma, with Main, Extreme, and Overload sectors. The final stage of the EtERNUM Protocol is a multi-staged assembly sequence for genome analyzing intelligent nanoswarms, or G.A.I.N.S. Can you survive 30 minutes in Teratoma? Good luck prisoners.
- 2.0.3 D4 hotfix to the initial Tscan
- 2.0.2 D2 Hotfix to 2nd wave.
- 2.0.1 Minor patch to make D3 PE wipes less annoying to rerun.
- 2.0.0 First major polish patch, sweeping QoL changes to many levels.
- 1.8.5 Hotfixed Occlusion to work.
- 1.8.4 Hotfixed C2 to work, adjusted sniper and AR ammo, and tuned up the Rundown screen.
- 1.8.3 Nerfed sniper rifle and shotgun sentry, and rebalanced Assault Rifle again. Also made some tweaks to C1 and C2. Isolation Beta tag removed
- 1.8.2 Hotfixed D3 so that sleepers no longer get stuck, and adjusted level balance
- 1.8.1 Hotfixed light settings in D3
- 1.8.0 Added D3: Isolation, with Main and Extreme sectors. Looks like you'll need to split up on this one, good luck. AT LEAST TWO PLAYERS ARE REQUIRED TO COMPLETE THIS MISSION!
- 1.7.8 Released D3 demo, nerfed shotgun sentry, and added a voice log on B1
- 1.7.7 Hotfixed Overload bulkhead key door not opening on Overload completion
- 1.7.6 Hotfix to prevent cheese in C2 Overload
- 1.7.5 Reworked C2 to be more friendly and true to my original vision of the level.
- 1.7.4 Hotfix patch to prevent reactor softlock
- 1.7.3 Made some spoiler changes to D3, and released spitters along with a fix to silence their ambient noise
- 1.7.2 Hotfixed B1 to remove big chargers from initial error. Also made some weapon changes, and QoL tweaks to Scout Playground
- 1.7.1 Hotfix patch to make D4 Overload unskippable
- 1.7.0 Added D4: Confluence, with Main, Extreme, and Overload sectors. Be on your guard; all is not as it seems. Made several other QoL changes to the rundown as a whole, and buffed knife charge time.
- 1.6.5 Hotfix to address issue with vanilla update
- 1.6.4 Hotfix to nerf sawed-off (it still remains buffed overall). Also added expedition information for all remaining planned levels in Occlusion.
- 1.6.3 Added R6 apparel (hopefully)
- 1.6.2 Implemented most of the weapons changes from R6 ALT, excluding rifle and spear, and tweaked sawed-off and shotgun sentry.
- 1.6.1 Changed the way most reactor waves spawn so that they no longer forward spawn in stealth zones.
- 1.6.0 Added D2: Maelstrom, with Main sectors. Environmental conditions extremely unstable, proceed with caution.
- 1.5.2 Hotfixed notable bugged waves in C1 and C3, removed a problematic apex door in C2
- 1.5.1 Hotfixed D1: No longer spawns insane amounts of consumables
- 1.5.0 Added D1: Onslaught, with Main and Extreme sectors. Good luck
- 1.4.4 Added R3-5 apparel and fixed a conflicting Rundown ID.
- 1.4.3 Hotfixed C3: Another attempted hotfix for C3 Overload scans
- 1.4.2 Hotfixed C3: Fixed power cell spawns in Extreme, fixed scan not spawning in Overload.
- 1.4.1 Hotfixed C3: Overload now opens properly
- 1.4.0 Added C3: Codex, with Main, Extreme, and Overload sectors. Notes in spoiler section. Plans for C2 in spoiler section.
- 1.3.2 Changed C2: More adjustments to C2. Zone 219 terminal set to a marker. Secondary made much more difficult overall. Tweaked overload to make the error alarm more enticing.
- 1.3.1 Changed C2: Heavy changes to make the level more enjoyable and functional overall, details in spoiler section. Spear charge time decreased. Lore log added to A1
- 1.3.0 Added C2: Suffocate, with Main, Extreme, and Overload sectors. Adjusted C1. Changed spear to make it more viable as a giant killing weapon.
- 1.2.1 Reenabled all old rundown weapons, minor adjustments to B1 and C1, added menu icons for C2: Suffocate and C3: Codex.
- 1.2.0 Added C1: Eternum, with Main and Extreme sectors. Adjusted A1, B1, and B2, with details in the full patch changes section. Added a Scout Playground in place of training 
- 1.1.1 Reduced resource distribution on A1, added MTFO and BepinEX as dependencies. Added descriptors in 
- 1.1.0 Release, three levels introduced, A1, B1, and B2

# Full Patch Changes
### WARNING: Spoilers Ahead!

<details>
<summary>SPOILERS</summary>

### 2.1.3
Actaul application of 2.1.2 changes

### 2.1.2
E1: Fog now rises slower, and EX reactor codes are now in different dimensions to prevent them from being on the door terminals. I also nerfed hammer's stagger to put it in a more balanced position. Spear can now half sprint while charging, knife can now stagger giants on a fully charged hit from behind with limb break, and bat can now one tap strikers on occiput.

### 2.1.1
Hotfix patch to add snatcher dimension; I knew I'd forget things, hopefully this is the only major issue

### 2.1.0
E1: Release. My first E level is also my only E level with the option for prisoner efficiency. Ammo and supplies will likely be adjusted in the coming patches, as well as any other bugs that end up needing fixing. Any feedback/bug reports about this level will be GREATLY APPRECIATED, as it was a behemoth to assemble, and it most certainly will have some issues. In the meantime, enjoy the ride.

### 2.0.3
Hotfix to correct the D4 Tscan override index

### 2.0.2
Hotfix to correct D2's second wave being more than doubled in size

### 2.0.1
Completing Overload will now force open the first main bulkhead door, and opening Extreme will force open the second main bulkhead door

### 2.0.0
My first massive QoL overhaul patch to address issues and bugs that I've had with most of the levels. A full list can be found below.
- Training: Added a zone to each wing containing scouts mixed with sleepers for additional practice
- B2: More work may be done on this level, for the time being, main is being made more interesting, and balancing is being done to other sectors.
    - Main: Added some sleepers to the generator cluster room
    - Extreme: Reduced the amount of spitters in extreme
    - Overload: Added strikers to the mix with shadows in the first zone.
- C1: I'm attempting to make the main sector of the level make more sense. Aka, more shadowy related alarms.
    - Main: Made the main focus of the first Class V S alarm shadows. Made scout waves less shooter heavy
    - Extreme: Bulkhead key will now spawn in one of the 3 OSIP zones, forcing you to do one and pick the other.
- C2: Reworked significant chunks of the level to either make more sense, or just straight up work.
    - Main: First subzone will no longer not allow you to drop heavy carry items. Second cell insertion will lower fog to reduce tediousness of Ovl/Main. Now is a forward extract.
    - Extreme: Now spawns a little later into the first zone. Warden text will warn you on drop about completion of the objective.
    - Overload: Number of tanks in 763 reduced from 5 to 3. Fixed uplink completion shutting off 766 error. Made uplink zone a terminal command instead of a cell, to prevent using a main cell. Fixed the warden objective text grammar.
- C3: A couple of changes to make it more interesting
    - Main: Added a few strikers to the first shadow zone. Pablo now wakes 10 minutes after you open the door to his room.
    - Extreme: N/A
    - Overload: The sustained scan is now sustained and a team scan.
- D1: Reactor waves made tougher overall, as with 4 players the current waves are a joke
    - Main: Reactor waves almost doubled in intensity, possibly will be nerfed if it is too much.
    - Extreme: N/A
- D2: Added Warden text in case you can't figure out where you need to go, and to add further lore to the reactor meltdown.
    - Main: All waves now have directive text
- D3: Reworked EX into the objective I originally wanted it to be
    - Main: N/A
    - Extreme: Reworked the objective into a corrupted uplink, and a very special one at that. Completing EX should also give you a fun surprise on Main
- D4: Made initial reactor setup more streamlined, and made Overload more meaningful
    - Main: Reactor terminal is now password locked, and unlocked from the zone you would normally open.
    - Extreme: N/A
    - Overload: Tweaked Overload fog to be variable and force you onto the bridge while keeping main and extreme the same.

Hopefully you all enjoy these changes, and as always, feedback is appreciated.

### 1.8.5
Hotfix patch to address Occlusion not launching.

### 1.8.4
Hotfix patch to revert C2 changes from 1.8.3. The issues with the power cells will be readdressed, but the short fix I thought I found just broke the objective entirely. I also fixed some bullet cost issues with Sniper and AR, and gave Occlusion a new rundown screen color!

### 1.8.3
Patch to address some level issues as well as some weapon balance. C1's extract wave was broken so I fixed it, and I made some QoL tweaks involving heavy carry items in C2, to make dealing with the broken navmesh in the starting area easier. I also made AR a high damage, precision rewarding primary. I hope you enjoy. Sniper rifle and shotgun sentry were slightly nerfed to bring them more into line with the rest of the vanilla weapons.

### 1.8.2
Hotfix patch to balance out the two wings of the level and to also fix sleepers getting stuck by pathing to the wrong player. Basically I'm intentionally bugging out the security doors to a state where the player cannot pass through them but sleepers can...it's a GTFO moment all right. Hopefully it all works properly now.

### 1.8.1
Hotfix patch to make most zones in D3 brighter, due to the fact that some teams will probably avoid taking a biotracker.

### 1.8.0
Added a beta version of D3 - expect this to probably be patched. You will NEED at least two players to complete this level, but it is recommended to be done with a full team. Good luck, and watch the corners.

### 1.7.8
Small patch to add a demo version of D3. While it doesn't actuallly demonstrate the main purpose of the level, I felt that the playtest was fun enough to patch in while I worked on the rest of the level. I also tweaked shotgun sentry and added a log.

### 1.7.7
Very quick hotfix to address an Overload door not unlocking on Overload completion, softlocking the level. Also added a few more resources to compensate for having removed a lot of them during the rework of the level. Finally, I reduced the hipfire recoil of Double Tap Rifle.

### 1.7.6
This is a quick patch to prevent the C2 Overload Error path from getting it's alarm shut off by the corrupted uplink ending. I don't know why changing StopAllWavesOnGoToWin didn't fix this initially, but now it does.

### 1.7.5
Reworked C2. This level was a pain to initially create, so when I wasn't super happy with the way it turned out, I didn't want to change it. Finally, 8 months later, C2 has finally gotten a much needed rework and touch up. Don't worry - if you liked the level before, it's all still there, but with some changes to the level to make it flow smoother and hopefully feel just overall better to play. Enjoy the rework, and try not to Suffocate.

### 1.7.4
Hotfixed a situation where you could get softlocked by being reteleported and not being able to get back.

### 1.7.3
I added some different doors to the dimensions to make D4 more readable. You now should have different doors based on the dimension you're in.

I also finally implemented a fix for spitter sound bug, so enjoy! I've added them in the two levels I always intended them to be in, plus a fix for the ones that were already in D4. Have fun and don't die. 

### 1.7.2
Removed some rogue BBC's I found in early B1. I did not intend for them to be found before regular chargers, and have replaced them with chickens. Enjoy

I also made some more weapon changes. I decided to turn AR into the bullet hose I believe it should be, and I gave shotgun sentry the treatment I wished it had gotten in ALT R6. These changes might seem like a bit much, but I believe it puts these weapons on par with their counterparts. 
Additionally, I converted my autopistol to it's current HEL state, converted machine pistol to it's current R6 state without the reduced falloff and with reduced spread, and I tweaked some bullet counts that were really annoying me.

I also increased the size of the Scout Playground. Hopefully all of the scouts should be much more spread out now, so no more waking up one and losing four attempts because of it.

### 1.7.1
Hotfix patch to fix D4 Overload being skippable. Also made Extreme door text red, and fixed issues with aggresive enemies not being killed when dimension hopping

### 1.7.0
D4: Release. Continuing on my trend of weird reactors, I present to you Confluence. My most ambitious level to date, and probably my new favorite (sorry D2). This is a pretty experimental level, and the idea around this one is to spice up another reactor with given codes by giving you things to do during the code sequences. It's kind of similar to D1, but also VERY much different. I hope you enjoy, and I wish you luck.

Other Changes: Mmoved the apparel block from the menu, changed Secondary to Extreme, and buffed knife charge time.

### 1.6.5
Hotfix to get Occlusion running after the 2nd ALT R6 patch broke the rundown

### 1.6.4
Hotfix to nerf sawed-off shotgun. I honestly don't know what I was thinking last patch - it's still decently buffed from vanilla, I had just made it way too powerful. Also added expedition information for all remaining planned levels for Occlusion. No promises that I won't add anymore but it's highly unlikely. ExtraChainedPuzzleCustomization also added as a dependency due to it being used for upcoming levels.

### 1.6.3
Hotfix to hopefully enable R6 apparel

### 1.6.2
Implemented most weapon changes from ALT R6, except rifle and spear. Also buffed sawed-off shotgun a decent amount - I might nerf it later - and also gave shotgun sentry penetration.

### 1.6.1
Hotfix patch for D2. Added standard consumables to zones without fog repellers. Changed reactor waves to come from spawn - I didn't want to, but I also don't want them to forward spawn, and unfortunately they didn't during testing but are doing it now. Properly staggered timings on the final waves

### 1.6.0
D2: Release. Welcome to Maelstrom. This is another reactor, but it's very different from D1. The idea around this reactor was to make a reactor that was less focused on constantly holding waves, and more focused on creating new difficulty factors with each wave. I hope you enjoy, and good luck down there.

### 1.5.2
Hotfix patch to fix two waves that were very different after installing a mod to fix heat bug. The waves from EtERNUM 1.0 in C1 and from the mainframe alarm in C3 were incredibly overpowering due to it spawning boss role. Additionally, an apex door was removed due to it having a habit of despawning birthers, breaking bots, and causing many other issues.

### 1.5.1
Hotfix patch to fix the absurd amount of consumables on D1

### 1.5.0
D1: Release. This level is very experimental, and by far the most challenging thing I have released so far. Extreme is subject to change some entire zones, and the rest of the level may change, as this is a very rough draft.

### 1.4.4
Hotfix patch to bring R3-5 apparel to Occlusion as well as fix a rundown ID conflict. Several new dependencies have also been added in preperation for D1, D2, D3, and E1

### 1.4.3
Hotfix patch to fix C3 Overload issues

Another attempt at fixing the C3 Overload scan not spawning. If this patch does not work, I will disable C3 Overload until I can get it working. Testing it will require Thunderstore releases however.

### 1.4.2
Hotfix patch to fix C3 Extreme and Overload issues

Extreme was spawning two cells in the same zone instead of one cell in each of two zones, this was fixed.

C3 Overload should now be functioning properly, the scan should spawn on EtERNUM Phase transfer now.

### 1.4.1
Hotfix patch to fix C3 Overload not opening on completion of main

### 1.4.0
C3: Release. This level is subject to change slightly. I believe you all will recognize the Extreme and Overload portions of this level. I plan to tailor both Extreme and Overload to my own designs later on, but I wanted to get a rough draft out there so that I can get feedback on how the level feels. Overall, a much less annoying level than C2, but it'll hopefully be improved over time like the rest. 

Extreme: This section was supposed to be a mini R7D2, but ended up being REALLY similar to the level. Originally my holdout zone was different, but it had to change because the tank from behind in R7D2's second hub zone was ok, but defending waves in that zone was a lot harder. Overall, I liked the tank fight being harder, and as a result, the layout is incredibly similar to R7D2. Might swap out a few tiles in future patches

Overload: Overload was designed to be a Thunderdome style fight, very similar to the one in R5C2, except it's a little too similar and I don't like that. I might toss up a few of the spawns later, but for now have fun in this arena fight.

Overall, I'm not incredibly happy with the state of C3, but it's a fun level and I wanted to get it out there. Resources are definitely a little overtuned, but other than that, the level should be in pretty good working order. Have fun decrypting the Codex's secrets!


C2: I'm still not happy with the state of this level. I'm working on a way to make Overload a little more enticing on a secondary path, and I think it means dropping the error entirely in favor of another obstacle. What that may be, I don't know, but I'm working on it (I have some ideas brewing, but none that are very cool/unique). I'm going to let it rest a bit more though, as I'd like to come back to it with a fresh perspective.

### 1.3.2
C2: This level has undergone many tweaks in the last few days, due to a combination of the gardens tileset and also my inexperience as a modder. Heavy revisions to the level should be finished with this patch, however I'm not going to make any final promises, so don't get too attached.
- Main: Added a marker to the Zone 219 terminal to lock it in place.

The Zone 219 terminal could spawn in a wall. I fixed it. Sorry.
- Main (Last patch): Added a few big chargers to Zone 222

I forgot to include this in the last patch notes, but I added a few big chargers to the snatcher zone to encourage the stealthy approach.
- Secondary: Greatly reduced ammo in Secondary sector. Added a few more scouts to the first and third zones.

Secondary was slightly overlooked in the last two patches, as my focus was primarily on getting the main sector more functional. Well now it has received some love and should be more worthy of being a C-Tier Extreme objective. I believe that this should primarily be a stealth section, and as such it is receiving much less ammo and more scouts to punish waking. I debated adding an alarm but ultimately decided against it as I wanted to offer the chance to complete secondary completely silently. 
- Overload: Added a lights out to Zone 764, the Overload stealth option.

Every person that I have asked about this level has opted for the stealth zone. As dangerous as waking the zone can be, ultimately it is a game of red light green light that is much more attractive than a permanent error alarm. I had initially attached a lights-out event to this zone, but removed it due to me believing that a permanent blackout would be too punishing. However, in light of everybody opting for this zone, I decided to reimplement it. Have fun, don't die

### 1.3.1
- C2: Dropped number of generators from 4 to 3 in order to avoid needless backtracking for the extra cell. Removed zone between error terminal and Overload to make the level a little smaller and to prevent enemies spawning out of bounds on the first overload alarm. Changed final fog density to be much less dense to reflect the overall air quality. Added a few more resource packs in Zone 223 (previously Zone 224). Changed spawns for the Class M VII alarm to two rooms away; due to my error they had been 1 room away. Re-generated Extreme to my original intentions of a spread out zone. Properly generated final zone in Extreme with the correct custom geomorph.

I apologize for such heavy changes so soon after release, but Gardens has been a pain to work with. The level shouldn't recieve too many changes from here on out.
- Spear: Charge changed from 2.7 -> 2.0 (vanilla = 1.7) 

I initially thought that with the higher damage, spear would need a much higher charge time to compensate. However, due to not being able to sprint with spear, I decided to try giving it a very tiny charge time increase (1.7->2) and adjust it as necessary. It might be too strong.
- A1: Lore log added. 

I didn't initially intend to add lore logs, but I have come to realize that implication and Warden Intel is a poor way to communicate lore. More will be added as I continue developing Occlusion

### 1.3.0
- C1: Changed out Big Strikers on blood door in favor of Big Chargers. They thematically fit with the tank, and the blood door was surprisingly a little too easy
- C2: Release. 

This level was a pain to create, as Gardens is not a fun tileset to work with. It's done though, and I hope you enjoy it. Just a warning, due to errors with the Gardens tileset, there are certain tiles where you cannot drop heavy items. Move to a different tile and drop the item there; it's a pain I know, but there's nothing I can do.
- Weapons: Spear buffed. 

I've always liked spear, but vanilla spear sucks. I changed the weapon to give it a 1 second longer charge, but buffed its damage to 25. Hopefully, spear should be much more viable now, as a nice support weapon to help take down giants.

### 1.2.1 
- Reenabled old rundown weapons 
- B1: added an alarm during the error run
- C1: reduced resources across the level, was an intended change that I forgot to implement when I released C1
- Training: Added C-foam to the individual scout zones to avoid having to run back and forth for more foam

### 1.2.0
- A1: Cut down on the frankly ridiculous number of syringes
- B1: Added a special surprise in the resource zone, and dimmed the lights in the Class III S Scan room
- B2: Removed spitters due to the audio bug. Tweaked the overload blood door, and removed the extra data sphere
- C1: Release
- Training: Reworked into scout playground to fine tune your scout bonking skills, with regular, shadow, and charger zones. C-foam included.

</details>

# Feedback/Questions?
- Contact me on discord if you have any issues at:
`dakstar7#5050`
- Or you can respond to my feedback post in the GTFO Modding Discord.